org.codehaus.groovy.transform.stc

## Interface StaticTypeCheckingVisitor.SignatureCodec

- Enclosing class:
    StaticTypeCheckingVisitor

      protected static interface StaticTypeCheckingVisitor.SignatureCodec

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassNode` | `decode(java.lang.String signature)`
    `java.lang.String` | `encode(ClassNode node)`

- - ### Method Detail

    - #### encode

          java.lang.String encode(ClassNode node)

    - #### decode

          ClassNode decode(java.lang.String signature)